<?php
	/*
		Test Unit (Customer Create) for WideDB.PHP 
		written by M.Neset KABAKLI
		created on 2005-11-17
		
		SAMPLE CUSTOMER TABLE
		-----------------------------------------------
		CREATE TABLE customer (
  			ID int(10) unsigned NOT NULL auto_increment,
  			Name varchar(30) NOT NULL,
  			Surname varchar(30) NOT NULL,
  			Gender varchar(1) NOT NULL,
			Email varchar(120) NOT NULL UNIQUE,
			Password varchar(50) NOT NULL,
			RecordDate date,
			Phone varchar(20),
			Fax varchar(20),
			PRIMARY KEY(ID)
		);
		-----------------------------------------------
	*/
	require_once("widedb.php");

	// # # # # # # # # # # # # # # # # # # # #
	// Begin class declarations
	class Customer extends dbObject {
		var $ID = 0;
		var $Name = "";
		var $Surname = "";
		var $Gender = "";
		var $Email = "";
		var $Password = "";
		var $RecordDate = "0000-00-00";
		var $Phone = "";
		var $Fax = "";
		
		function login($user,$pass) {
			$user = mysql_escape_string($user);
			$pass = md5($pass);

			$sql = "SELECT ID FROM customer WHERE Email='{$user}' AND Password='{$pass}'";
			$cid = dbQuery::queryInt($sql);
			if($cid > 0) {
				$this->ID = $cid;
				$this->load();
				return true;	
			} else {
				return false;
			}
		}
	}
	
	// # # # # # # # # # # # # # # # # # # # #
	// Begin test unit
	mysql_connect("yourdbhost","youdbuser","yourdbpass"); // Connect to the database
	mysql_select_db("yourdbname");
		
	$cust = new Customer();
	$cust->Name = "John"; // You need to take care of types of your variables
	$cust->Surname = "Doe";
	$cust->Gender = "M";
	$cust->Email = "johndoe@non-existant.com";
	$cust->RecordDate = date("Y-m-d");
	$cust->Phone = "+90 232 4440375";
	$cust->Fax = "+90 232 4440555";
	$cust->Password = md5("xyz");
	
	if($cust->insert()) {
		print "Customer created (ID: {$cust->ID})...\n";
	} else {
		print "Error: Unable to create customer, exiting!\n";
		exit;
	}
	
	mysql_close(); // Close database connection
?>